.preloader {
	position: fixed;
	left: 0;
	top: 0;
	width: 100%;
	height: 100dvh;
	box-sizing: border-box;
	display: flex;
	justify-content: center;
	align-items: center;
	transition: opacity 0.25s ease-in-out;
	background: #041721;
}


/* SPINNER */


.spinner {
	color: #1c4c5b;
	box-sizing: border-box;
	display: inline-block;
	position: relative;
	width: 80px;
	height: 80px;
}

.spinner div {
	box-sizing: border-box;
	position: absolute;
	width: 6.4px;
	height: 6.4px;
	background: currentColor;
	border-radius: 50%;
	animation: spinner 1.2s linear infinite;
}

.spinner div:nth-child(1) {
	animation-delay: 0s;
	top: 36.8px;
	left: 66.24px;
}

.spinner div:nth-child(2) {
	animation-delay: -0.1s;
	top: 22.08px;
	left: 62.29579px;
}

.spinner div:nth-child(3) {
	animation-delay: -0.2s;
	top: 11.30421px;
	left: 51.52px;
}

.spinner div:nth-child(4) {
	animation-delay: -0.3s;
	top: 7.36px;
	left: 36.8px;
}

.spinner div:nth-child(5) {
	animation-delay: -0.4s;
	top: 11.30421px;
	left: 22.08px;
}

.spinner div:nth-child(6) {
	animation-delay: -0.5s;
	top: 22.08px;
	left: 11.30421px;
}

.spinner div:nth-child(7) {
	animation-delay: -0.6s;
	top: 36.8px;
	left: 7.36px;
}

.spinner div:nth-child(8) {
	animation-delay: -0.7s;
	top: 51.52px;
	left: 11.30421px;
}

.spinner div:nth-child(9) {
	animation-delay: -0.8s;
	top: 62.29579px;
	left: 22.08px;
}

.spinner div:nth-child(10) {
	animation-delay: -0.9s;
	top: 66.24px;
	left: 36.8px;
}

.spinner div:nth-child(11) {
	animation-delay: -1s;
	top: 62.29579px;
	left: 51.52px;
}

.spinner div:nth-child(12) {
	animation-delay: -1.1s;
	top: 51.52px;
	left: 62.29579px;
}


/* LOGO */


.logo {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	transition: opacity 0.1s ease-in-out;

	max-width: 75%;
	max-height: 75%;
}

@keyframes spinner {
	0%, 20%, 80%, 100% {
		transform: scale(1);
	}

	50% {
		transform: scale(1.5);
	}
}

/* SYSTEM */

.fade-out {
	opacity: 0 !important;
}

.fade-in {
	opacity: 1 !important;
}